import Vue from 'vue';
import * as common from 'schema-based-json-editor';
export * from 'schema-based-json-editor';
export declare class JSONEditor extends Vue {
    theme: string | undefined;
    locale: common.Locale;
    icon: string | undefined;
    markdownit: common.MarkdownItType | undefined;
    hljs: common.HLJS | undefined;
    forceHttps: boolean | undefined;
    themeObject: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    readonly localeObject: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: import("../../core/node_modules/markdown-tip/dist/index").Data[];
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    readonly iconObject: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    };
    md: common.MarkdownIt | undefined;
    updateValue(value: common.ValueType): void;
}
